### Method

# Devhelp BookListBuilder add_default_sub_book_lists

since: 3.30

#### Declaration [src]

    void
    dh_book_list_builder_add_default_sub_book_lists (
      DhBookListBuilder* builder
    )

#### Description [src]

Creates the default `DhBookListDirectory`‘s and adds them to `builder` with dh_book_list_builder_add_sub_book_list().

It creates and adds a `DhBookListDirectory` for the following directories (in that order): - `$XDG_DATA_HOME/doc/` - `$XDG_DATA_HOME/gtk-doc/html/` - `$XDG_DATA_HOME/devhelp/books/` - For each directory in `$XDG_DATA_DIRS`: - `$xdg_data_dir/doc/` - `$xdg_data_dir/gtk-doc/html/` - `$xdg_data_dir/devhelp/books/`

See `g_get_user_data_dir()` and g_get_system_data_dirs().

Additionally, if the libdevhelp has been compiled with the `flatpak_build` option, it creates and adds a `DhBookListDirectory` for the following directories (in that order, after the above ones): - `/run/host/usr/share/doc/` - `/run/host/usr/share/gtk-doc/html/` - `/run/host/usr/share/devhelp/books/`

The exact list of directories is subject to change, it is not part of the API.

Available since: 3.30